package com.wechat.model.requestDto;

import java.util.Date;

import org.springframework.web.multipart.MultipartFile;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.wechat.common.utils.StringsUtils;

/**
 * @ClassName: JsonResp
 * @Description: Json返回对象
 */
public class RegisterResp {
	// 身份标识[0-个人；1-企业]
	private String identityFlag;
	// 用户头像
	private String headPortrait;
	// 登录名[手机号-个人/邮箱-企业]
	private String userName;
	// 密码
	private String password;
	// 用户姓名/企业名称
	private String name;
	// 外文名称
	private String foreignName;
	// 短信验证码
	private String phoneCheckCode;
	// 邀请人
	private String inviter;
	
	// 微信用 code
	private String code;
	
	
	// 第三方注册（0 微信/1 领英）
	private String type;
	// 第三方注册信息
	private LoginResp result;
	
	
	// 国家电话区号（列 +86）
	private String phoneCode;
	// 邮箱地址（个人）
	private String email;	
	// 参加工作时间（个人）
	@JsonFormat(pattern = "yyyy-MM", timezone = "GMT+8")
	private Date firstWork;
	// 国际区分[1-国际;2-国内;9-未知]
	private String international;
	// 从业酒店品牌code（酒店品牌信息表）
	private String hotelBrand;
	// 从业酒店品牌名称（品牌信息表中不存在的情况下，用户自由填写）
	private String hotelBrandStr;
	
	// 企业执照
	private String image;
	// 在职证明
	private String onJobImage;
	// 企业联系人
	private String entContacts;
	// 企业联系人联系方式
	private String entPhone;
	// 筹开标识
	private String prepareFlag;
	// 筹开年份
	private String prepareYear;
	// 筹开季度
	private String prepareQuarter;

	
	public String getEmail() {
		return email;
	}
	public void setEmail(String email) {
		this.email = StringsUtils.trim(email);
	}
	public Date getFirstWork() {
		return firstWork;
	}
	public void setFirstWork(Date firstWork) {
		this.firstWork = firstWork;
	}
	public String getIdentityFlag() {
		return identityFlag;
	}
	public void setIdentityFlag(String identityFlag) {
		this.identityFlag = StringsUtils.trim(identityFlag);
	}
	public String getUserName() {
		return userName;
	}
	public void setUserName(String userName) {
		this.userName = StringsUtils.trim(userName);
	}
	public String getPassword() {
		return password;
	}
	public void setPassword(String password) {
		this.password = StringsUtils.trim(password);
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = StringsUtils.trim(name);
	}
	public String getPhoneCode() {
		return phoneCode;
	}
	public void setPhoneCode(String phoneCode) {
		this.phoneCode = StringsUtils.trim(phoneCode);
	}
	public String getForeignName() {
		return foreignName;
	}
	public void setForeignName(String foreignName) {
		this.foreignName = StringsUtils.trim(foreignName);
	}
	public String getPhoneCheckCode() {
		return phoneCheckCode;
	}
	public void setPhoneCheckCode(String phoneCheckCode) {
		this.phoneCheckCode = StringsUtils.trim(phoneCheckCode);
	}
	public String getInternational() {
		return international;
	}
	public void setInternational(String international) {
		this.international = StringsUtils.trim(international);
	}
	public String getHotelBrand() {
		return hotelBrand;
	}
	public void setHotelBrand(String hotelBrand) {
		this.hotelBrand = StringsUtils.trim(hotelBrand);
	}
	public String getHotelBrandStr() {
		return hotelBrandStr;
	}
	public void setHotelBrandStr(String hotelBrandStr) {
		this.hotelBrandStr = StringsUtils.trim(hotelBrandStr);
	}
	public String getImage() {
		return image;
	}
	public void setImage(String image) {
		this.image = StringsUtils.trim(image);
	}
	public String getOnJobImage() {
		return onJobImage;
	}
	public void setOnJobImage(String onJobImage) {
		this.onJobImage = StringsUtils.trim(onJobImage);
	}
	public String getEntContacts() {
		return entContacts;
	}
	public void setEntContacts(String entContacts) {
		this.entContacts = StringsUtils.trim(entContacts);
	}
	public String getEntPhone() {
		return entPhone;
	}
	public void setEntPhone(String entPhone) {
		this.entPhone = StringsUtils.trim(entPhone);
	}
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = StringsUtils.trim(type);
	}
	public LoginResp getResult() {
		return result;
	}
	public void setResult(LoginResp result) {
		this.result = result;
	}
	public String getHeadPortrait() {
		return headPortrait;
	}
	public void setHeadPortrait(String headPortrait) {
		this.headPortrait = headPortrait;
	}
	public String getInviter() {
		return inviter;
	}
	public void setInviter(String inviter) {
		this.inviter = StringsUtils.trim(inviter);
	}
	public String getPrepareFlag() {
		return prepareFlag;
	}
	public void setPrepareFlag(String prepareFlag) {
		this.prepareFlag = prepareFlag;
	}
	public String getPrepareYear() {
		return prepareYear;
	}
	public void setPrepareYear(String prepareYear) {
		this.prepareYear = prepareYear;
	}
	public String getPrepareQuarter() {
		return prepareQuarter;
	}
	public void setPrepareQuarter(String prepareQuarter) {
		this.prepareQuarter = prepareQuarter;
	}
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}

}
